package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 码类型
 * 身份码：1
 * 访客码：2
 */
public enum eQrcodeType {
    Identity(1),//身份码
    Visitor(2);//访客码

    private int value;

    eQrcodeType(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }

    public static eQrcodeType valueOf(int value) {
        switch (value) {
            case 1:
                return eQrcodeType.Identity;
            case 2:
                return eQrcodeType.Visitor;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "身份码":
                return 1;
            case "访客码":
                return 2;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "身份码";
            case 2:
                return "访客码";
            default:
                return null;
        }
    }
}
